<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
    <ApplicationManifest>app.manifest</ApplicationManifest>
    <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
    <ApplicationTitle>Ormentia Markus</ApplicationTitle>
    <AssemblyName>OrmentiaMarkus</AssemblyName>
    <Product>Ormentia Markus</Product>
    <ApplicationIcon>Assets\AppIcon.ico</ApplicationIcon>
    <CFBundleName>Ormentia Markus</CFBundleName>
    <CFBundleDisplayName>Ormentia Markus</CFBundleDisplayName>
    <CFBundleIdentifier>com.ormentia.markus</CFBundleIdentifier>
    <CFBundleVersion>1.0.0</CFBundleVersion>
    <CFBundleShortVersionString>1.0.0</CFBundleShortVersionString>
  </PropertyGroup>

  <ItemGroup>
    <Folder Include="Models\" />
    <AvaloniaResource Include="Assets\**" />
  </ItemGroup>

  <ItemGroup Condition="'$(RuntimeIdentifier)' == 'osx-x64' OR '$(RuntimeIdentifier)' == 'osx-arm64' OR '$([System.Runtime.InteropServices.RuntimeInformation]::IsOSPlatform($([System.Runtime.InteropServices.OSPlatform]::OSX)))' == 'true'">
    <Content Include="Info.plist">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Avalonia" Version="11.3.8" />
    <PackageReference Include="Avalonia.AvaloniaEdit" Version="11.3.0" />
    <PackageReference Include="Avalonia.Desktop" Version="11.3.8" />
    <PackageReference Include="Avalonia.Themes.Fluent" Version="11.3.8" />
    <PackageReference Include="Avalonia.Fonts.Inter" Version="11.3.8" />
    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Include="Avalonia.Diagnostics" Version="11.3.8">
      <IncludeAssets Condition="'$(Configuration)' != 'Debug'">None</IncludeAssets>
      <PrivateAssets Condition="'$(Configuration)' != 'Debug'">All</PrivateAssets>
    </PackageReference>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.2.1" />
    <PackageReference Include="Markdig" Version="0.43.0" />
    <PackageReference Include="Projektanker.Icons.Avalonia" Version="9.6.2" />
    <PackageReference Include="Projektanker.Icons.Avalonia.FontAwesome" Version="9.6.2" />
    <PackageReference Include="QuestPDF" Version="2025.7.4" />
  </ItemGroup>
</Project>
